package com.ym.mec.task.dal.model;

import java.util.Date;

public class Task {

	/** 任务id，主键 */
	private Integer id;

	/** 任务名称 */
	private String name;

	/** 任务所属分组*/
	private String group;

	/** 具体任务接口 */
	private String jobClass;

	/** 任务执行的时间表达式 */
	private String timeExp;

	/** 状态（-1，执行失败；0，暂停；1，准备就绪；2，执行中；3，执行成功） */
	private Integer status;

	/** 任务描述 */
	private String description;

	/** 创建时间 */
	private Date createOn;

	/** 修改时间 */
	private Date modifyOn;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name == null ? null : name.trim();
	}

	public String getGroup() {
		return group;
	}

	public void setGroup(String group) {
		this.group = group == null ? null : group.trim();
	}

	public String getJobClass() {
		return jobClass;
	}

	public void setJobClass(String jobClass) {
		this.jobClass = jobClass == null ? null : jobClass.trim();
	}

	public String getTimeExp() {
		return timeExp;
	}

	public void setTimeExp(String timeExp) {
		this.timeExp = timeExp == null ? null : timeExp.trim();
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description == null ? null : description.trim();
	}

	public Date getCreateOn() {
		return createOn;
	}

	public void setCreateOn(Date createOn) {
		this.createOn = createOn;
	}

	public Date getModifyOn() {
		return modifyOn;
	}

	public void setModifyOn(Date modifyOn) {
		this.modifyOn = modifyOn;
	}
}